--- old/usr/src/cmd/ypcmd/Makefile	2018-09-19 23:19:48.841876757 +0000
+++ new/usr/src/cmd/ypcmd/Makefile	2018-09-19 23:19:48.857616047 +0000
@@ -60,6 +60,19 @@
 makedbm :=	MAPFILES = $(MAPFILE.INT) $(MAPFILE.NGB)
 makedbm :=	LDFLAGS += $(MAPFILES:%=-M%)
 
+# These things link with libnisdb, and thus are 'C++', but are otherwise
+# entirely C.  A result of this is they probably don't _actually_ use the C++
+# runtime, but may in future (depending on compiler implementation)
+#
+# Give up.
+ypxfr :=	ZGUIDANCE= -zguidance=nounused
+ypxfrd :=	ZGUIDANCE= -zguidance=nounused
+ypserv :=	ZGUIDANCE= -zguidance=nounused
+
+$(__SUNC)ypxfr :=	ADJUNCT_LIBS = libC.so
+$(__SUNC)ypxfrd :=	ADJUNCT_LIBS = libC.so
+$(__SUNC)ypserv :=	ADJUNCT_LIBS = libC.so
+
 $(ROOTVAR_YP)/aliases :=	FILEMODE=555
 
 YPFILES = Makefile aliases nicknames updaters
@@ -72,10 +85,10 @@
 
 YPBINDOBJ= yp_b_svc.o yp_b_subr.o rpc_bootstrap.o getlist.o
 #
-# Some sort of obsolete idea of common files which are only now used by a 
+# Some sort of obsolete idea of common files which are only now used by a
 # few minor utilities
 #
-COMMONOBJ= getlist.o yp_getalias.o 
+COMMONOBJ= getlist.o yp_getalias.o
 
 #
 # Objects shared between all the major components
@@ -127,19 +140,19 @@
 
 YPALLSRC =	$(YPALLOBJ:.o=.c)
 
-COMMONSRC = 	$(COMMONOBJ:.o=.c)
+COMMONSRC =	$(COMMONOBJ:.o=.c)
 
 #COMMONCLNTSRC =	$(COMMONCLNTOBJ:.o=.c)
 
 SRCS = $(BINSRC) $(SBINSRC) $(NETYPSRC) \
 	$(COMMONSRC) $(SHAREDSRC)
 
-CLEANFILES =	ypxfrd.h ypxfrd_xdr.c 
+CLEANFILES =	ypxfrd.h ypxfrd_xdr.c
 
 IBINPROG=		$(BINPROG:%=$(ROOTBIN)/%)
 ISBINPROG=		$(SBINPROG:%=$(ROOTUSRSBIN)/%)
 INETYPPROG=		$(NETYPPROG:%=$(NETYP)/%)
-INIS2LDAPPROG = 	$(NIS2LDAPPROG:%=$(NETYP)/%)
+INIS2LDAPPROG =		$(NIS2LDAPPROG:%=$(NETYP)/%)
 
 NIS2LDAPINC =		-I$(SRC)/lib/libnisdb/yptol
 
@@ -177,7 +190,7 @@
 lint:=		TARGET= lint
 cstyle :=	TARGET= cstyle
 
-all: $(SHAREDOBJ) $(SUBDIRS) $(PROG) $(TXTS) 
+all: $(SHAREDOBJ) $(SUBDIRS) $(PROG) $(TXTS)
 
 # install rules
 $(ROOTVAR_YP)/% \
